curl --request POST \
--url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency: <x-idempotency>' \
--data '
{
"businessDate": "<string>",
"effectiveDate": "<string>",
"firstRescheduledDueDate": "<string>",
"newTermMonths": 2,
"reason": "<string>",
"transactionId": "<string>"
}
'import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules"
payload = {
"businessDate": "<string>",
"effectiveDate": "<string>",
"firstRescheduledDueDate": "<string>",
"newTermMonths": 2,
"reason": "<string>",
"transactionId": "<string>"
}
headers = {
"X-Idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
businessDate: '<string>',
effectiveDate: '<string>',
firstRescheduledDueDate: '<string>',
newTermMonths: 2,
reason: '<string>',
transactionId: '<string>'
})
};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/reschedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"previousScheduleVersionId": "<string>",
"scheduleVersion": {
"createdAt": "<string>",
"id": "<string>",
"installments": [
{
"dueDate": "<string>",
"feesAmount": "<string>",
"interestAmount": "<string>",
"number": 123,
"penaltiesAmount": "<string>",
"principalAmount": "<string>",
"principalRemaining": "<string>",
"totalAmount": "<string>"
}
],
"loanAccountId": "<string>",
"reason": "<string>",
"triggerTransactionId": "<string>",
"versionNumber": 123,
"predecessorVersionId": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Reprogramar la cuenta de préstamo
Anexa una versión inmutable del cronograma reprogramado y un disparador de recálculo. La idempotencia se aplica mediante el middleware de idempotencia de lib-commons a través del encabezado X-Idempotency; una clave reutilizada con datos diferentes produce 409. Un UUID mal formado produce 422.
Autorizaciones
JWT bearer token issued by the identity provider.
Encabezados
Canonical idempotency request ID. Enforced by the lib-commons idempotency middleware.
"550e8400-e29b-41d4-a716-446655440011"
Parámetros de ruta
Loan account identifier (UUID).
"550e8400-e29b-41d4-a716-446655440000"
Cuerpo
YYYY-MM-DD business date applied to the reschedule.
"2026-06-14"
YYYY-MM-DD effective date of the reschedule.
"2026-06-14"
YYYY-MM-DD first due date of the rescheduled plan.
"2026-06-14"
New loan term in months.
x >= 124
Operator-supplied reschedule reason.
128Operator-supplied reschedule transaction identifier.
128¿Esta página le ayudó?

